# Default Values
FALSE = "false"
TRUE = "true"
NONE = "none"
SOLID = "solid"
STANDARD = "standard"
OPENDRIVE = "OpenDRIVE"
NO = "no"
YES = "yes"
MINUS_SIGN = "-"
PLUS_SIGN = "+"
DEFAULT = "default"
BUILDING = "building"
OBSTACLE = "obstacle"
ZERO = "0.0"
NORTH = "north"
SOUTH = "south"
EAST = "east"
WEST = "west"

# Element Tags
SUCC_TAG = "succ"
SUCCESSOR_TAG = "successor"
PRED_TAG = "pred"
PREDECESSOR_TAG = "predecessor"
ROAD_TAG = "road"
LINK_TAG = "link"
TYPE_TAG = "type"
TOWN_TAG = "town"
PLAN_VIEW_TAG = "planView"
ELEVATION_PROFILE_TAG = "elevationProfile"
LATERAL_PROFILE_TAG = "lateralProfile"
LANES_TAG = "lanes"
OBJECTS_TAG = "objects"
OBJECT_TAG = "object"
SIGNALS_TAG = "signals"
NAME_TAG = "name"
LENGTH_TAG = "length"
ID_TAG = "id"
JUNCTION_TAG = "junction"
LANE_INDICES_TAG = "laneIndices"
ELEMENT_ID_TAG = "elementId"
ELEMENT_TYPE_TAG = "elementType"
CONTACT_POINT_TAG = "contactPoint"
START_TAG = "start"
END_TAG = "end"
LANE_SECTION_TAG = "laneSection"
LANE_TAG = "lane"
LEVEL_TAG = "level"
ROAD_MARK_TAG = "roadMark"
TRAFFIC_SIGN_ID_TAG = "TrafficSignID"
GEO_REFFERENCE_TAG = "geoReference"
TODO = "TODO"
HEADER_TAG = "header"

# Header param tags
HEADER_REV_MAJOR_TAG = "revMajor"
HEADER_REV_MINOR_TAG = "revMinor"
HEADER_VERSION_TAG = "version"
HEADER_DATE_TAG = "date"

# Geometry types
LINE_TAG = "line"
SPIRAL_TAG = "spiral"
ARC_TAG = "arc"
SIGNAL_TAG = "signal"
SIGNAL_REFERENCE_TAG = "signalReference"

# Geometry params tags
GEOMETRY_TAG = "geometry"
GEOMETRY_S_COORDINATE_TAG = "s"
GEOMETRY_X_COORDINATE_TAG = "x"
GEOMETRY_Y_COORDINATE_TAG = "y"
GEOMETRY_HEADING_TAG = "hdg"
GEOMETRY_CURV_START_TAG = "curvStart"
GEOMETRY_CURV_END_TAG = "curvEnd"
GEOMETRY_CURVATURE_TAG = "curvature"

# Signal param tags
SIGNAL_T_TAG = "t"
SIGNAL_DYNAMIC_TAG = "dynamic"
SIGNAL_ORIENTATION_TAG = "orientation"
SIGNAL_ZOFFSET_TAG = "zOffset"
SIGNAL_COUNTRY_TAG = "country"
SIGNAL_SUBTYPE_TAG = "subtype"
SIGNAL_COUNTRY_REVISION_TAG = "countryRevision"
SIGNAL_VALUE_TAG = "value"
SIGNAL_UNIT_TAG = "unit"
SIGNAL_WIDTH_TAG = "width"
SIGNAL_HEIGHT_TAG = "height"
SIGNAL_HOFFSET_TAG = "hOffset"

# Signal values
SIGNAL_ZOFFSET_VALUE = "3.3885"
SIGNAL_COUNTRY_REVISION_VALUE = "2021"
SIGNAL_UNIT_VALUE = "km/h"
SIGNAL_WIDTH_VALUE = "0.77"
SIGNAL_HEIGHT_VALUE = "0.77"
SIGNAL_HOFFSET_VALUE = "0.0"

# LaneSection param tags
LANE_SECTION_CENTER_TAG = "center"
LANE_SECTION_DRIVING_TAG = "driving"
LANE_SECTION_LEFT_TAG = "left"
LANE_SECTION_RIGHT_TAG = "right"

# Lane param tags
LANE_SOFFSET_TAG = "sOffset"
LANE_A_TAG = "a"
LANE_B_TAG = "b"
LANE_C_TAG = "c"
LANE_D_TAG = "d"

# RoadMark param tags
ROAD_MARK_WEIGHT_TAG = "weight"
ROAD_MARK_COLOR_TAG = "color"

# Junction param tags
JUNCTION_INCOMING_ROAD_TAG = "incomingRoad"
JUNCTION_CONNECTING_ROAD_TAG = "connectingRoad"
JUNCTION_CONNECTION_TAG = "connection"
JUNCTION_LANE_LINK_TAG = "laneLink"
JUNCTION_FROM_TAG = "from"
JUNCTION_TO_TAG = "to"

# Obstacle param tags
RADIUS_TAG = "radius"
OUTER_TAG = "outer"
CLOSED_TAG = "closed"
OUTLINE_TAG = "outline"
CORNER_LOCAL_TAG = "cornerLocal"
U_TAG = "u"
V_TAG = "v"
Z_TAG = "z"

# Prefixes
STOPLINE_PREFIX = "StopLine_"
SIGN_PREFIX = "Sign_"
LIGHT_PREFIX = "Light_"

# Types
STOPLINE_TYPE = "294"
SIGNAL_SUBTYPE = "-1"
LIGHT_TYPE = "1000001"

# Obstacle values
OBSTACLE_HEIGHT_VALUE = "1.0"
OBSTACLE_Z_VALUE = "0"

# Light values
LIGHT_VALUE = "-1"

# Formatting patterns
DOUBLE_FORMAT_PATTERN = "{0:.16e}"
ID_FORMAT_PATTERN = "{}"
